// JavaScript Document
var isRunBuy=true;
var _showPriceBack=function(ret){
	
	isRunBuy=false;
	//var nPrice=parseInt($("#newform1 #select").val().split("元")[0])||0;
	if(ret=="-1"){
		$("#selectinfo").html("<span style='color:#FF0000'>没有查询到帐号信息，请重新登录</span>");
		}else if((parseInt(ret)||0)<nPrice){
			$("#selectinfo").html("<span style='color:#FF0000'>您的当前余额"+ret+"元，无法购买"+nPrice+"元的产品，请先充值</span>");
			
			}else{
				$("#selectinfo").html("当前余额"+ret+"，可以购买");
				isRunBuy=true;
				}
	}
var _showPrice=function(){
	getPost("/api/llsapi.asp?apiAction=api_userMoney","","_showPriceBack");
	}
var _buy=function(ret){
	$("#nLayer").hide();
	$("#newbutton").prop("disabled",false);
	$("#newbutton").val("确认付款");
	if(ret=="[ok]"){
		alert("数据更新成功");
		window.location.href=getto;
		}else{alert(ret);}
	}
$(function(){
		$("#newbutton").prop("disabled",false);
		$("#newform1").submit(function(){
									
				var obj=$(this);
				$("#nLayer").show();
				$("#nLayer").css({
						left:$(window).width()/2-150,
						top:$(window).scrollTop()+$(window).height()/2-150
								 });
				if(!isRunBuy){
					alert("无法购买。\n"+$("#selectinfo").replace(/<.+?>/ig,""));return false;
					}
				
				PostStr="id="+$("#newform1 #id").val();
				$("#newbutton").val("提交中，请不要刷新当前页面，以防提交失败");
				$("#newbutton").prop("disabled",true);
				alert("业务开通中，在开通完成之前请不要关闭或者刷新此页面，不然会导致开通失败\n此过程可能需要几分钟时间\n了解以上信息后请点确认继续");
				getPost("/user/api_get_buy.asp",PostStr,"_buy")
				return false;
									   });
				_showPrice();
				$("#newform1 #select").change(function(){
					_showPrice();									
														});
		   })